Nest

Włamy na Forum

Założony przez ScorpiOOn.

Witam. Otóż jakiś czas temu kupiłem forum i portal od pewnego człowieka, domyślałem się, że nie jest on zbyt godny zaufania, lecz kupiłem forum + portal i tyle i przez jakiś czas wszystko było w porządku.
Niestety wczoraj ktoś z wielką łatwością używając proxy rejestrował się na forum i w ciągu 1 min robił sobie administratora, wraz z pomocą próbowaliśmy dowiedzieć się jak on to robi. Od razu powiem, że zmieniłem wszędzie hasła (jest to strona na nazwa.pl, zmieniłem hasła do mysql, forum, nazwa.pl i admin.nazwa.pl i wszystko co związane mogło być z poprzednim właścicielem), chciałbym też dodać, że ta osoba nie była 1 właścicielem tej strony więc dane na tej stronie też nie były na nią tylko na kogo innego (lecz 1 właściciel jest zaufany i można na niego liczyć).
Oprócz tego wszystkiego dany "hacker/cracker" miesza tylko na forum, ewidentnie nie zna haseł do mysql, nazwa.pl ani do ftp, gdyż potrafi zrobić z siebie admina tylko na forum i niczego innego nie dotyka.
Czy to wina pluginów? Czy może zostawił jakiegoś robaka poprzedni właściciel? :/
Wersja Mybb: 1.4.6
Posiadasz wersję 1.4.6, a już jest 1.4.7 i może ten haker włamuje się przez lukę, która została usunięta w wersji 1.4.7. Może warto zaktualizować forum do wersji 1.4.7, która jest aktualizacją bezpieczeństwa.
ScorpiOOn mamy wersje 1.4.4 przynajmniej tak w acp pisze. Chociaż aktualizacja nie zaszkodzi.
@Up
Sry pomyliło mi się, tak na forum jest mybb 1.4.4

@Cybul
Mam zamiar zrobić update, ale to trochę podejrzane bo ta wersja jest na forum od dawna i wcześniej nie było takich problemów, a tu nagle takie coś.
Może haker dostał oświecenia, że Twoje forum istnieje. :P Najlepiej mieć najświeższą wersję skryptu. :)
To tylko prosta lekcja, że należy mieć najnowsze wersje skryptów. Praktycznie jeśli numerek wersji MyBB nie dźwiga się o jedno czy dwa oczka w numeracji po kropce (np. z 1.4.x do 1.6.x), oznacza to, że kolejne wersje po drugiej kropce są zazwyczaj poprawkami bezpieczeństwa, eliminacjami wykrytych błędów. Co to oznacza? To oznacza ni mniej ni więcej jak to, że jeśli ktoś zobaczy, co zostało poprawione, a zna się na programowaniu - od razu będzie wiedział jak się włamać (o ile dana "dziura" umożliwia dostanie się do "flaków").

Czasem też wystarczy postudiować http://www.hackforums.net/, by dowiedzieć się jakie słabe punkty może mieć nasze forum :) (BTW, to forum postawione jest na MyBB :D).

--- edit ---

Proszę bardzo: http://community.mybboard.net/thread-518...#pid365498

Jeśli miałeś 1.4.6, prawdopodobnie użyli właśnie tego injecta...
@Up
Miałem 1.4.4 czyli jeszcze gorzej, właśnie zupdatowałem zobaczymy co to może, dzięki za pomoc :)
miejmy nadzieję, że pomoże
Scorp forum on?

Skocz do:

Użytkownicy przeglądający ten wątek:

1 gości